FROM git.d3vyce.fr/d3vyce/hugo:latest AS build

WORKDIR /opt/blog
COPY . /opt/blog/

RUN git submodule update --init --recursive
RUN hugo


FROM nginx:1.25-alpine

WORKDIR /usr/share/nginx/html
COPY --from=build /opt/blog/public /usr/share/nginx/html/

RUN apk update && \
    apk add --no-cache ca-certificates libc6-compat libstdc++ git

EXPOSE 80/tcp
